//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Files {
/// <summary>
/// Character types:<br />0 = Michael, <br />1 = Franklin, <br />2 = Trevor, <br />3 = MPMale, <br />4 = MPFemale
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x278F76C3B0A8F109<br />
/// </para>
/// </remarks>
public static int GetNumTattooShopDlcItems(int character){
return Function.Call<int>((Hash)0x278F76C3B0A8F109uL, character);
}

/// <summary>
/// Character types:<br />0 = Michael, <br />1 = Franklin, <br />2 = Trevor, <br />3 = MPMale, <br />4 = MPFemale<br /><br /><br />enum TattooZoneData<br />{  <br />    ZONE_TORSO = 0,  <br />    ZONE_HEAD = 1,  <br />    ZONE_LEFT_ARM = 2,  <br />    ZONE_RIGHT_ARM = 3,  <br />    ZONE_LEFT_LEG = 4,  <br />    ZONE_RIGHT_LEG = 5,  <br />    ZONE_UNKNOWN = 6,<br />    ZONE_NONE = 7,  <br />};<br />struct outComponent<br />{<br />    // these vars are suffixed with 4 bytes of padding each.<br />    uint unk;<br />    int unk2;<br />    uint tattooCollectionHash;<br />    uint tattooNameHash;<br />    int unk3;<br />    TattooZoneData zoneId;<br />    uint unk4;<br />    uint unk5;<br />    // maybe more, not sure exactly, decompiled scripts are very vague around this part.<br />}
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFF56381874F82086<br />
/// </para>
/// </remarks>
public static bool GetTattooShopDlcItemData(int characterType, int decorationIndex, int /* bug: structure */ outComponent){
return Function.Call<bool>((Hash)0xFF56381874F82086uL, characterType, decorationIndex, outComponent);
}

/// <summary>
/// Returns some sort of index/offset for overlays/decorations.<br /><br />Character types:<br />0 = Michael, <br />1 = Franklin, <br />2 = Trevor, <br />3 = MPMale, <br />4 = MPFemale
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x10144267DD22866C<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int GetTattooShopDlcItemIndex(uint overlayHash, int /* bug: Any */ p1, int character){
return Function.Call<int>((Hash)0x10144267DD22866CuL, overlayHash, p1, character);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1E8C308FD312C036<br />
/// </para>
/// </remarks>
public static void InitShopPedComponent(int /* bug: structure */ outComponent){
Function.Call((Hash)0x1E8C308FD312C036uL, outComponent);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEB0A2B758F7B850F<br />
/// </para>
/// </remarks>
public static void InitShopPedProp(int /* bug: structure */ outProp){
Function.Call((Hash)0xEB0A2B758F7B850FuL, outProp);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x50F457823CE6EB5F<br />
/// </para>
/// </remarks>
public static int SetupShopPedApparelQuery(int p0, int p1, int p2, int p3){
return Function.Call<int>((Hash)0x50F457823CE6EB5FuL, p0, p1, p2, p3);
}

/// <summary>
/// character is 0 for Michael, 1 for Franklin, 2 for Trevor, 3 for freemode male, and 4 for freemode female.<br /><br />componentId is between 0 and 11 and corresponds to the usual component slots.<br /><br />p1 could be the outfit number; unsure.<br /><br />p2 is usually -1; unknown function.<br /><br />p3 appears to be for selecting between clothes and props; false is used with components/clothes, true is used with props.<br /><br />p4 is usually -1; unknown function.<br /><br />componentId is -1 when p3 is true in decompiled scripts.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9BDF59818B1E38C1<br />
/// </para>
/// </remarks>
public static int SetupShopPedApparelQueryTu(int character, int p1, int p2, bool p3, int p4, int componentId){
return Function.Call<int>((Hash)0x9BDF59818B1E38C1uL, character, p1, p2, p3, p4, componentId);
}

/// <summary>
/// See https://git.io/JtcRf for example and structs.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x249E310B2D920699<br />
/// </para>
/// </remarks>
public static void GetShopPedQueryComponent(int componentId, int /* bug: structure */ outComponent){
Function.Call((Hash)0x249E310B2D920699uL, componentId, outComponent);
}

/// <summary>
/// Returns some sort of index/offset for components.<br />Needs _GET_NUM_PROPS_FROM_OUTFIT to be called with p3 = false and componentId with the drawable&apos;s component slot first, returns -1 otherwise.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x96E2929292A4DB77<br />
/// </para>
/// </remarks>
public static int GetShopPedQueryComponentIndex(uint componentHash){
return Function.Call<int>((Hash)0x96E2929292A4DB77uL, componentHash);
}

/// <summary>
/// More info here: https://gist.github.com/root-cause/3b80234367b0c856d60bf5cb4b826f86
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x74C0E2A57EC66760<br />
/// </para>
/// </remarks>
public static void GetShopPedComponent(uint componentHash, int /* bug: structure */ outComponent){
Function.Call((Hash)0x74C0E2A57EC66760uL, componentHash, outComponent);
}

/// <summary>
/// See https://git.io/JtcRf for example and structs.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDE44A00999B2837D<br />
/// </para>
/// </remarks>
public static void GetShopPedQueryProp(int componentId, int /* bug: structure */ outProp){
Function.Call((Hash)0xDE44A00999B2837DuL, componentId, outProp);
}

/// <summary>
/// Returns some sort of index/offset for props.<br />Needs _GET_NUM_PROPS_FROM_OUTFIT to be called with p3 = true and componentId = -1 first, returns -1 otherwise.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x6CEBE002E58DEE97<br />
/// </para>
/// </remarks>
public static int GetShopPedQueryPropIndex(uint componentHash){
return Function.Call<int>((Hash)0x6CEBE002E58DEE97uL, componentHash);
}

/// <summary>
/// More info here: https://gist.github.com/root-cause/3b80234367b0c856d60bf5cb4b826f86
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5D5CAFF661DDF6FC<br />
/// </para>
/// </remarks>
public static void GetShopPedProp(uint componentHash, int /* bug: structure */ outProp){
Function.Call((Hash)0x5D5CAFF661DDF6FCuL, componentHash, outProp);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0368B3A838070348<br />
/// </para>
/// </remarks>
public static uint GetHashNameForComponent(int /* Entity */ entity, int componentId, int drawableVariant, int textureVariant){
return Function.Call<uint>((Hash)0x0368B3A838070348uL, entity, componentId, drawableVariant, textureVariant);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5D6160275CAEC8DD<br />
/// </para>
/// </remarks>
public static uint GetHashNameForProp(int /* Entity */ entity, int componentId, int propIndex, int propTextureIndex){
return Function.Call<uint>((Hash)0x5D6160275CAEC8DDuL, entity, componentId, propIndex, propTextureIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC17AD0E5752BECDA<br />
/// </para>
/// </remarks>
public static int GetShopPedApparelVariantComponentCount(uint componentHash){
return Function.Call<int>((Hash)0xC17AD0E5752BECDAuL, componentHash);
}

/// <summary>
/// `propHash`: Ped helmet prop hash?<br />This native returns 1 when the player helmet has a visor (there is another prop index for the same helmet with closed/opened visor variant) that can be toggled. 0 if there&apos;s no alternative version with a visor for this helmet prop.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xD40AAC51E8E4C663<br />
/// </para>
/// </remarks>
public static int GetShopPedApparelVariantPropCount(uint propHash){
return Function.Call<int>((Hash)0xD40AAC51E8E4C663uL, propHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6E11F282F11863B6<br />
/// </para>
/// </remarks>
public static void GetVariantComponent(uint componentHash, int variantComponentIndex, ref uint nameHash, ref int enumValue, ref int componentType){
var nativeAssistPointerVar0 = nameHash;
var nativeAssistPointerVar1 = enumValue;
var nativeAssistPointerVar2 = componentType;
unsafe {
Function.Call((Hash)0x6E11F282F11863B6uL, componentHash, variantComponentIndex, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2);
}
nameHash = nativeAssistPointerVar0;
enumValue = nativeAssistPointerVar1;
componentType = nativeAssistPointerVar2;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xD81B7F27BC773E66<br />
/// </para>
/// </remarks>
public static void GetVariantProp(uint componentHash, int variantPropIndex, ref uint nameHash, ref int enumValue, ref int anchorPoint){
var nativeAssistPointerVar0 = nameHash;
var nativeAssistPointerVar1 = enumValue;
var nativeAssistPointerVar2 = anchorPoint;
unsafe {
Function.Call((Hash)0xD81B7F27BC773E66uL, componentHash, variantPropIndex, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2);
}
nameHash = nativeAssistPointerVar0;
enumValue = nativeAssistPointerVar1;
anchorPoint = nativeAssistPointerVar2;
}

/// <summary>
/// Returns number of possible values of the forcedComponentIndex argument of GET_FORCED_COMPONENT.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC6B9DB42C04DD8C3<br />
/// </para>
/// </remarks>
public static int GetShopPedApparelForcedComponentCount(uint componentHash){
return Function.Call<int>((Hash)0xC6B9DB42C04DD8C3uL, componentHash);
}

/// <summary>
/// Returns number of possible values of the forcedPropIndex argument of GET_FORCED_PROP.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x017568A8182D98A6<br />
/// </para>
/// </remarks>
public static int GetShopPedApparelForcedPropCount(uint componentHash){
return Function.Call<int>((Hash)0x017568A8182D98A6uL, componentHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6C93ED8C2F74859B<br />
/// </para>
/// </remarks>
public static void GetForcedComponent(uint componentHash, int forcedComponentIndex, ref uint nameHash, ref int enumValue, ref int componentType){
var nativeAssistPointerVar0 = nameHash;
var nativeAssistPointerVar1 = enumValue;
var nativeAssistPointerVar2 = componentType;
unsafe {
Function.Call((Hash)0x6C93ED8C2F74859BuL, componentHash, forcedComponentIndex, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2);
}
nameHash = nativeAssistPointerVar0;
enumValue = nativeAssistPointerVar1;
componentType = nativeAssistPointerVar2;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE1CA84EBF72E691D<br />
/// </para>
/// </remarks>
public static void GetForcedProp(uint componentHash, int forcedPropIndex, ref uint nameHash, ref int enumValue, ref int anchorPoint){
var nativeAssistPointerVar0 = nameHash;
var nativeAssistPointerVar1 = enumValue;
var nativeAssistPointerVar2 = anchorPoint;
unsafe {
Function.Call((Hash)0xE1CA84EBF72E691DuL, componentHash, forcedPropIndex, &nativeAssistPointerVar0, &nativeAssistPointerVar1, &nativeAssistPointerVar2);
}
nameHash = nativeAssistPointerVar0;
enumValue = nativeAssistPointerVar1;
anchorPoint = nativeAssistPointerVar2;
}

/// <summary>
/// Full list of restriction tags by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pedApparelRestrictionTags.json<br /><br />componentId/last parameter seems to be unused.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x341DE7ED1D2A1BFD<br />
/// </para>
/// </remarks>
public static bool DoesShopPedApparelHaveRestrictionTag(uint componentHash, uint restrictionTagHash, int componentId){
return Function.Call<bool>((Hash)0x341DE7ED1D2A1BFDuL, componentHash, restrictionTagHash, componentId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0x7796B21B76221BC5<br />
/// </para>
/// </remarks>
public static bool DoesCurrentPedComponentHaveRestrictionTag(int /* Ped */ ped, int componentId, uint restrictionTagHash){
return Function.Call<bool>((Hash)0x7796B21B76221BC5uL, ped, componentId, restrictionTagHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2612<br />
/// <b>Native ID:</b> 0xD726BAB4554DA580<br />
/// </para>
/// </remarks>
public static bool DoesCurrentPedPropHaveRestrictionTag(int /* Ped */ ped, int componentId, uint restrictionTagHash){
return Function.Call<bool>((Hash)0xD726BAB4554DA580uL, ped, componentId, restrictionTagHash);
}

/// <summary>
/// characters<br /><br />0: Michael<br />1: Franklin<br />2: Trevor<br />3: MPMale<br />4: MPFemale
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF3FBE2D50A6A8C28<br />
/// </para>
/// </remarks>
public static int SetupShopPedOutfitQuery(int character, bool p1){
return Function.Call<int>((Hash)0xF3FBE2D50A6A8C28uL, character, p1);
}

/// <summary>
/// outfitIndex: from 0 to SETUP_SHOP_PED_OUTFIT_QUERY(characterIndex, false) - 1.<br />See https://git.io/JtcB8 for example and outfit struct.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6D793F03A631FE56<br />
/// </para>
/// </remarks>
public static void GetShopPedQueryOutfit(int outfitIndex, int /* bug: structure */ outfit){
Function.Call((Hash)0x6D793F03A631FE56uL, outfitIndex, outfit);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB7952076E444979D<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void GetShopPedOutfit(int /* bug: Any */ p0, int /* bug: structure */ p1){
Function.Call((Hash)0xB7952076E444979DuL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x073CA26B079F956E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static int GetShopPedOutfitLocate(int /* bug: Any */ p0){
return Function.Call<int>((Hash)0x073CA26B079F956EuL, p0);
}

/// <summary>
/// See https://git.io/JtcBH for example and structs.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA9F9C2E0FDE11CBB<br />
/// </para>
/// </remarks>
public static bool GetShopPedOutfitPropVariant(uint outfitHash, int variantIndex, int /* bug: structure */ outPropVariant){
return Function.Call<bool>((Hash)0xA9F9C2E0FDE11CBBuL, outfitHash, variantIndex, outPropVariant);
}

/// <summary>
/// See https://git.io/JtcBH for example and structs.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x19F2A026EDF0013F<br />
/// </para>
/// </remarks>
public static bool GetShopPedOutfitComponentVariant(uint outfitHash, int variantIndex, int /* bug: structure */ outComponentVariant){
return Function.Call<bool>((Hash)0x19F2A026EDF0013FuL, outfitHash, variantIndex, outComponentVariant);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA7A866D21CD2329B<br />
/// </para>
/// </remarks>
public static int GetNumDlcVehicles(){
return Function.Call<int>((Hash)0xA7A866D21CD2329BuL);
}

/// <summary>
/// dlcVehicleIndex is 0 to GET_NUM_DLC_VEHICLS() - 1
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xECC01B7C5763333C<br />
/// </para>
/// </remarks>
public static uint GetDlcVehicleModel(int dlcVehicleIndex){
return Function.Call<uint>((Hash)0xECC01B7C5763333CuL, dlcVehicleIndex);
}

/// <summary>
/// dlcVehicleIndex takes a number from 0 - GET_NUM_DLC_VEHICLES() - 1.<br />outData is a struct of 3 8-byte items.<br />The Second item in the struct *(Hash *)(outData + 1) is the vehicle hash.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x33468EDC08E371F6<br />
/// </para>
/// </remarks>
public static bool GetDlcVehicleData(int dlcVehicleIndex, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0x33468EDC08E371F6uL, dlcVehicleIndex, outData);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5549EE11FA22FCF2<br />
/// </para>
/// </remarks>
public static int GetDlcVehicleFlags(int dlcVehicleIndex){
return Function.Call<int>((Hash)0x5549EE11FA22FCF2uL, dlcVehicleIndex);
}

/// <summary>
/// Returns the total number of DLC weapons.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEE47635F352DA367<br />
/// </para>
/// </remarks>
public static int GetNumDlcWeapons(){
return Function.Call<int>((Hash)0xEE47635F352DA367uL);
}

/// <summary>
/// Returns the total number of DLC weapons that are available in SP (availableInSP field in shop_weapon.meta).
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2060<br />
/// <b>Native ID:</b> 0x4160B65AE085B5A9<br />
/// </para>
/// </remarks>
public static int GetNumDlcWeaponsSp(){
return Function.Call<int>((Hash)0x4160B65AE085B5A9uL);
}

/// <summary>
/// <br />dlcWeaponIndex takes a number from 0 - GET_NUM_DLC_WEAPONS() - 1.<br />struct DlcWeaponData<br />{<br />int emptyCheck; //use DLC1::IS_CONTENT_ITEM_LOCKED on this<br />int padding1;<br />int weaponHash;<br />int padding2;<br />int unk;<br />int padding3;<br />int weaponCost;<br />int padding4;<br />int ammoCost;<br />int padding5;<br />int ammoType;<br />int padding6;<br />int defaultClipSize;<br />int padding7;<br />char nameLabel[64];<br />char descLabel[64];<br />char desc2Label[64]; // usually &quot;the&quot; + name<br />char upperCaseNameLabel[64];<br />};
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x79923CD21BECE14E<br />
/// </para>
/// </remarks>
public static bool GetDlcWeaponData(int dlcWeaponIndex, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0x79923CD21BECE14EuL, dlcWeaponIndex, outData);
}

/// <summary>
/// Same as GET_DLC_WEAPON_DATA but only works for DLC weapons that are available in SP.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2060<br />
/// <b>Native ID:</b> 0x310836EE7129BA33<br />
/// </para>
/// </remarks>
public static bool GetDlcWeaponDataSp(int dlcWeaponIndex, int /* bug: structure */ outData){
return Function.Call<bool>((Hash)0x310836EE7129BA33uL, dlcWeaponIndex, outData);
}

/// <summary>
/// Returns the total number of DLC weapon components.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x405425358A7D61FE<br />
/// </para>
/// </remarks>
public static int GetNumDlcWeaponComponents(int dlcWeaponIndex){
return Function.Call<int>((Hash)0x405425358A7D61FEuL, dlcWeaponIndex);
}

/// <summary>
/// Returns the total number of DLC weapon components that are available in SP.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2060<br />
/// <b>Native ID:</b> 0xAD2A7A6DFF55841B<br />
/// </para>
/// </remarks>
public static int GetNumDlcWeaponComponentsSp(int dlcWeaponIndex){
return Function.Call<int>((Hash)0xAD2A7A6DFF55841BuL, dlcWeaponIndex);
}

/// <summary>
/// p0 seems to be the weapon index<br />p1 seems to be the weapon component index<br />struct DlcComponentData{<br />int attachBone;<br />int padding1;<br />int bActiveByDefault;<br />int padding2;<br />int unk;<br />int padding3;<br />int componentHash;<br />int padding4;<br />int unk2;<br />int padding5;<br />int componentCost;<br />int padding6;<br />char nameLabel[64];<br />char descLabel[64];<br />};<br />
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6CF598A2957C2BF8<br />
/// </para>
/// </remarks>
public static bool GetDlcWeaponComponentData(int dlcWeaponIndex, int dlcWeapCompIndex, int /* bug: structure */ ComponentDataPtr){
return Function.Call<bool>((Hash)0x6CF598A2957C2BF8uL, dlcWeaponIndex, dlcWeapCompIndex, ComponentDataPtr);
}

/// <summary>
/// Same as GET_DLC_WEAPON_COMPONENT_DATA but only works for DLC components that are available in SP.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 2060<br />
/// <b>Native ID:</b> 0x31D5E073B6F93CDC<br />
/// </para>
/// </remarks>
public static bool GetDlcWeaponComponentDataSp(int dlcWeaponIndex, int dlcWeapCompIndex, int /* bug: structure */ ComponentDataPtr){
return Function.Call<bool>((Hash)0x31D5E073B6F93CDCuL, dlcWeaponIndex, dlcWeapCompIndex, ComponentDataPtr);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD4D7B033C3AA243C<br />
/// </para>
/// </remarks>
public static bool IsContentItemLocked(uint itemHash){
return Function.Call<bool>((Hash)0xD4D7B033C3AA243CuL, itemHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0564B9FF9631B82C<br />
/// </para>
/// </remarks>
public static bool IsDlcVehicleMod(uint hash){
return Function.Call<bool>((Hash)0x0564B9FF9631B82CuL, hash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC098810437312FFF<br />
/// </para>
/// </remarks>
public static uint GetDlcVehicleModLockHash(uint hash){
return Function.Call<uint>((Hash)0xC098810437312FFFuL, hash);
}

/// <summary>
/// From fm_deathmatch_creator and fm_race_creator:<br /><br />FILES::REVERT_CONTENT_CHANGESET_GROUP_FOR_ALL(joaat(&quot;GROUP_MAP_SP&quot;));<br />FILES::EXECUTE_CONTENT_CHANGESET_GROUP_FOR_ALL(joaat(&quot;GROUP_MAP&quot;));
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x6BEDF5769AC2DC07<br />
/// </para>
/// </remarks>
public static void ExecuteContentChangesetGroupForAll(uint hash){
Function.Call((Hash)0x6BEDF5769AC2DC07uL, hash);
}

/// <summary>
/// From fm_deathmatch_creator and fm_race_creator:<br /><br />FILES::REVERT_CONTENT_CHANGESET_GROUP_FOR_ALL(joaat(&quot;GROUP_MAP_SP&quot;));<br />FILES::EXECUTE_CONTENT_CHANGESET_GROUP_FOR_ALL(joaat(&quot;GROUP_MAP&quot;));
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Files<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x3C1978285B036B25<br />
/// </para>
/// </remarks>
public static void RevertContentChangesetGroupForAll(uint hash){
Function.Call((Hash)0x3C1978285B036B25uL, hash);
}

}}
